Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITensionOnCurve

    java.lang.Object
      igeo.IDynamicsBase
          igeo.ITensionOnCurve

All Implemented Interfaces:
  IDynamics, ISubobject

    public class ITensionOnCurve

extends IDynamicsBase

Class of IDynamics to simulate tension force between two particles on curve based on distance in u parameter space.

Field Summary
`static double` | `defaultTension`
`boolean` | `isCurveClosed`
`IParticleOnCurve` | `pt1`
`IParticleOnCurve` | `pt2`
`double` | `tension`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`ITensionOnCurve(IParticleOnCurve p1, IParticleOnCurve p2)`
`ITensionOnCurve(IParticleOnCurve p1, IParticleOnCurve p2, double tension)`
`ITensionOnCurve(IParticleOnCurve p1, IParticleOnCurve p2, double tension, IObject parent)`
`ITensionOnCurve(IParticleOnCurve p1, IParticleOnCurve p2, IObject parent)`

Method Summary
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`ITensionOnCurve` | `parent(IObject par)` setting parent object
`ITensionOnCurve` | `removeTarget(int i)` remove target object.
`ITensionOnCurve` | `removeTarget(IObject obj)` remove target object.
`ITensionOnCurve` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`double` | `tension()`
`ITensionOnCurve` | `tension(double tension)`
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, parent, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTension

    public static double defaultTension

### pt1

    public IParticleOnCurve pt1

### pt2

    public IParticleOnCurve pt2

### tension

    public double tension

### isCurveClosed

    public boolean isCurveClosed

Constructor Detail

### ITensionOnCurve

    public ITensionOnCurve(IParticleOnCurve p1,
                           IParticleOnCurve p2,
                           double tension,
                           IObject parent)

### ITensionOnCurve

    public ITensionOnCurve(IParticleOnCurve p1,
                           IParticleOnCurve p2,
                           IObject parent)

### ITensionOnCurve

    public ITensionOnCurve(IParticleOnCurve p1,
                           IParticleOnCurve p2,
                           double tension)

### ITensionOnCurve

    public ITensionOnCurve(IParticleOnCurve p1,
                           IParticleOnCurve p2)

Method Detail

### tension

    public double tension()

### tension

    public ITensionOnCurve tension(double tension)

### parent

    public ITensionOnCurve parent(IObject par)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`
  Overrides:
    `parent` in class `IDynamicsBase`

### target

    public ITensionOnCurve target(IObject targetObj)

  Description copied from class: `IDynamicsBase`
  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Overrides:
    `target` in class `IDynamicsBase`

### removeTarget

    public ITensionOnCurve removeTarget(int i)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### removeTarget

    public ITensionOnCurve removeTarget(IObject obj)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  Description copied from class: `IDynamicsBase`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IDynamicsBase`

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD